/*
CUSTOM CLASES
*/
.text-muted {
  font-size: 0.8rem;
  margin-bottom: 0;
}

.flex-2-separated {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.flex-2-continous {
  width: 100%;
  display: flex;
  align-items: flex-end;
}

.flex-auto {
  flex: auto;
}

.container-grid {
  display: grid;
  column-gap: 2rem;
  row-gap: 2rem;
  grid-template-columns: repeat(3, 1fr);
  padding-bottom: 3rem;
}

.grid-2-col {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 5px;
}

.modal-scroll-inner {
  overflow-y: auto;
  max-height: 25rem;
  min-height: 10rem;
}

.no-border {
  border: none;
}

.input-search .input-group,
.input-search .form-group {
  margin-left: auto;
  width: 20rem;
}

.input-select-multiple.disabled,
.input-select-multiple.disabled .label,
.input-select-multiple.disabled .select2 {
  pointer-events: none;
  cursor: not-allowed !important;
}

.normal-link {
  color: #8a98ac;
}

.black-link {
  color: black;
}

.form-grid-2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 1rem;
  row-gap: 1rem;
}

.form-grid-2 .spanw-2 {
  grid-column-start: 1;
  grid-column-end: 3;
}

.grid-3-col {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 1rem;
  row-gap: 1rem;
}

.form-row {
  margin-bottom: 1rem;
}
.form-row-title {
  margin-bottom: 1rem;
}
.custom-control {
  padding-left: 2rem;
}

.hierarchy-select-custom {
  margin-bottom: 1rem;
}
.hierarchy-select-custom .dropdown-toggle {
  text-align: left;
  border: 1px solid rgba(0, 0, 0, 0.03);
  color: #8a98ac;
}
.hierarchy-select-custom .dropdown-toggle::after {
  float: right;
  margin-top: 0.555em;
}
.hierarchy-select-label {
  display: block;
}

/* Tablet */
@media all and (min-width: 768px) and (max-width: 1024px) {
  .container-grid {
    grid-template-columns: 1fr 1fr;
  }

  .grid-3-col {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Mobile */
@media all and (min-width: 480px) and (max-width: 768px) {
  .container-grid {
    grid-template-columns: 1fr;
  }

  .table-responsive-mobile {
    overflow-x: auto;
  }

  .input-search .input-group,
  .input-search .form-group {
    margin: 0;
    width: 100%;
  }

  .grid-3-col {
    grid-template-columns: 1fr;
  }
}

/* Mobile */
@media all and (max-width: 480px) {
  .container-grid {
    grid-template-columns: 1fr;
  }

  .input-search .input-group,
  .input-search .form-group {
    margin: 0;
    width: 100%;
  }
}

.hoverable {
  transition: box-shadow 0.3s;
}

.hoverable:hover {
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.1);
}

.no-resize {
  resize: none;
}

.leftbar-dark {
  width: 250px;
  height: 100%;
  position: fixed;
  background: #0d1625;
  border-right: 1px solid rgba(0, 0, 0, 0.03);
  z-index: 9;
  transition: all 0.3s ease;
}

.leftbar-dark .vertical-menu > li > a {
  padding: 10px 30px;
  display: block;
  color: #d4d8de;
}

.leftbar-dark .vertical-menu .vertical-submenu > li > a {
  padding: 8px 25px 8px 55px;
  display: block;
  font-size: 14px;
  color: #d4d8de;
}

.input-label-error {
  color: rgb(255, 73, 73);
  display: block;
  margin: 0;
  font-size: 0.7rem;
  text-align: left;
}

.center-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* ========================================== */
/* Empty message */
.empty-message-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.empty-message-icon {
  height: 5rem;
  width: 5rem;
  filter: invert(0.6) sepia(1) saturate(1) hue-rotate(185deg);
}

.empty-message {
  font-size: 1.2rem;
  text-align: center;
}

/* ========================================== */
/* Loaders */
.loader-dots-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.loader-dots {
  animation: rotate 1s infinite;
  height: 50px;
  width: 50px;
}

.loader-dots:before,
.loader-dots:after {
  border-radius: 50%;
  content: "";
  display: block;
  height: 20px;
  width: 20px;
}

.loader-dots:before {
  animation: ball1 1s infinite;
  background-color: #fff;
  box-shadow: 30px 0 0 #ff3d00;
  margin-bottom: 10px;
}

.loader-dots:after {
  animation: ball2 1s infinite;
  background-color: #ff3d00;
  box-shadow: 30px 0 0 #fff;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg) scale(0.8);
  }

  50% {
    transform: rotate(360deg) scale(1.2);
  }

  100% {
    transform: rotate(720deg) scale(0.8);
  }
}

@keyframes ball1 {
  0% {
    box-shadow: 30px 0 0 #ff3d00;
  }

  50% {
    box-shadow: 0 0 0 #ff3d00;
    margin-bottom: 0;
    transform: translate(15px, 15px);
  }

  100% {
    box-shadow: 30px 0 0 #ff3d00;
    margin-bottom: 10px;
  }
}

@keyframes ball2 {
  0% {
    box-shadow: 30px 0 0 #fff;
  }

  50% {
    box-shadow: 0 0 0 #fff;
    margin-top: -20px;
    transform: translate(15px, 15px);
  }

  100% {
    box-shadow: 30px 0 0 #fff;
    margin-top: 0;
  }
}

.form-label {
  display: block;
  margin-bottom: 1rem;
}

.box-result {
  border: 1px solid lightgray;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0.8rem 0;
}

.box-result .box-value {
  font-weight: bold;
}

.text-green {
  color: #96c7ae;
}

.cursor-pointer {
  cursor: pointer;
}
